## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUXalanNumberFormatFactory Class Reference

`#include <ICUXalanNumberFormatFactory.hpp>`

Inheritance diagram for ICUXalanNumberFormatFactory

Collaboration diagram for ICUXalanNumberFormatFactory:

List of all members.

## Public Methods

- ICUXalanNumberFormatFactory ()
- virtual ~ICUXalanNumberFormatFactory ()
- virtual XalanNumberFormat* create ()

## Constructor & Destructor Documentation

ICUXalanNumberFormatFactory::ICUXalanNumberFormatFactory ( | )

virtual ICUXalanNumberFormatFactory::~ICUXalanNumberFormatFactory ( | )`[virtual]`

## Member Function Documentation

virtual XalanNumberFormat* ICUXalanNumberFormatFactory::create ( | )`[virtual]`

Reimplemented from StylesheetExecutionContextDefault::XalanNumberFormatFactory.

The documentation for this class was generated from the following file:

- ICUXalanNumberFormatFactory.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.